* {
  box-sizing: border-box;
}

html {
  height: 100%;
}

body {
  font-family: sans-serif;
  margin: 0;
  padding: 1em;
  color: #ddd;
  background-image:
    linear-gradient(rgba(0, 0, 0, 0.75), rgba(0, 0, 0, 0.75)), url(theater.jpg);
  background-size: cover;
  background-position: center center;
  background-attachment: fixed;
  background-repeat: no-repeat;
  min-height: 100%;
  display: flex;
  flex-direction: column;
}

header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-bottom: 1em;
  border-bottom: 1px solid #555;
}

main {
  flex: 1;
  padding: 1em 0;
}

footer {
  text-align: center;
  padding-top: 1em;
  border-top: 1px solid #555;
}

footer ul {
  list-style: none;
  margin: 0;
}

footer ul li {
  display: inline;
  border-left: 1px solid #555;
  padding: 0 2em;
}

footer ul li:first-child {
  border: none;
}

h1,
h2 {
  margin: 0;
}

h3 {
  margin: 0;
  font-weight: normal;
}

.flashes {
  list-style: none;
  padding: 0;
}

.flashes .success {
  color: #0d0;
}

.flashes .error {
  color: #d00;
}

.items {
  list-style: none;
  padding: 0;
}

.items li {
  display: flex;
  align-items: flex-start;
  margin-bottom: 1em;
  padding-bottom: 1em;
  border-bottom: 1px solid #555;
}

.items li:last-child {
  border-bottom: none;
}

.items img {
  margin-right: 1em;
  border-radius: 5px;
  width: 100px;
}

.items .info {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  align-self: stretch;
}

.items form {
  margin-top: auto;
}

.overview {
  font-size: 0.9em;
  color: #999;
  margin-top: 0.5em;
}

.movie::before {
  content: "🎥";
  margin-right: 0.5em;
}

.tv::before {
  content: "📺";
  margin-right: 0.5em;
}

.search-form {
  display: flex;
}

.search-form input {
  border: 1px solid #555;
  padding: 0.5em;
  border-radius: 5px;
  background-color: #333;
  color: #ddd;

  border-right: none;
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

.search-form button {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.search-form:focus-within {
  outline: 2px solid #d8ff00;
  outline-offset: 2px;
  border-radius: 5px;
}

.search-form input:focus,
.search-form button:focus {
  outline: none;
}

a,
a:visited {
  color: #d8ff00;
  text-decoration: none;
}

button {
  border: 1px solid #555;
  background-color: #444;
  color: #ddd;
  padding: 0.5em 0.75em;
  border-radius: 5px;
  cursor: pointer;
}

button:hover {
  background-color: #666;
}
